Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 108501 - Support Open Solaris projects
Support Open Solaris projects
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
pomona
:
Depends on: 135213 135321 77957 108734 108925 116261 116278 121913 122012 122091 122146 123872 133179 136730 136806 136887 136973 169325
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-29 10:11 UTC by Alexander Simon
Modified: 2009-11-12 05:54 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2007-06-29 10:11:43 UTC
CND should support projects like Open Solaris.
To do this code model should support:
- dependent project
- special "library" projects that contain shared headers
Make system should provide:
- possibility to set dependency from make-based project to make based projects
- support (UI less?) flag that prohibit parsing orphan headers
Comment 1 Alexander Simon 2007-06-29 15:14:37 UTC
fixing:
- allow dependencies for make based projects

CVS log:

Checking in configurations/CommonConfigurationXMLCodec.java;
/shared/data/ccvs/repository/cnd/makeproject/src/org/netbeans/modules/cnd/makeproject/configurations/CommonConfigurationXMLCodec.java,v
 <--  CommonConfigurationXMLCodec.java
new revision: 1.2.2.2.10.10.4.3; previous revision: 1.2.2.2.10.10.4.2
done
Checking in ui/customizer/MakeCustomizer.java;
/shared/data/ccvs/repository/cnd/makeproject/src/org/netbeans/modules/cnd/makeproject/ui/customizer/MakeCustomizer.java,v
 <--  MakeCustomizer.java
new revision: 1.2.2.4.8.17.4.6; previous revision: 1.2.2.4.8.17.4.5
done
Checking in ui/customizer/Bundle.properties;
/shared/data/ccvs/repository/cnd/makeproject/src/org/netbeans/modules/cnd/makeproject/ui/customizer/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.2.2.1.10.8.4.2; previous revision: 1.2.2.1.10.8.4.1
done
Comment 2 Alexander Simon 2007-07-12 18:39:42 UTC
fixed known language model problem for support projects like Open Solaris.
Comment 3 Jesse Grodnik 2007-07-12 23:58:43 UTC
This is a fundemental change to the project system. I would like to see a critical review of the user view, the design
approach and the solution. Update this issue with the results of that review.
Comment 4 Thomas Preisler 2007-08-28 13:46:15 UTC
I will be doing the project part of this issue. I will reassign to alexander when done so he can finish the code model part.
Comment 5 Thomas Preisler 2007-08-29 22:23:48 UTC
Back to Alexander
Comment 6 Alexander Simon 2007-12-07 08:25:17 UTC
Was done:
- prototype of Open Solaris Projects for NetBeans 6.0 (Sun Studio from SXDE 1/8). Projects are based on Open Solaris
build 77.
Comment 7 Alexander Simon 2008-01-25 11:05:47 UTC
Discovery provider by nightly log was integrated in the new project from existent makefile

CVS log:

Checking in dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/AnalyzeMakeLog.java;
/shared/data/ccvs/repository/cnd/dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/AnalyzeMakeLog.java,v
 <--  AnalyzeMakeLog.java
new revision: 1.2; previous revision: 1.1
done
Checking in dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/AnalyzeExecutable.java;
/shared/data/ccvs/repository/cnd/dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/AnalyzeExecutable.java,v
 <--  AnalyzeExecutable.java
new revision: 1.11; previous revision: 1.10
done
Checking in dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/AnalyzeFolder.java;
/shared/data/ccvs/repository/cnd/dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/AnalyzeFolder.java,v
 <--  AnalyzeFolder.java
new revision: 1.16; previous revision: 1.15
done
Checking in dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/LogReader.java;
/shared/data/ccvs/repository/cnd/dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/LogReader.java,v 
<--  LogReader.java
new revision: 1.3; previous revision: 1.2
done
Checking in dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/BaseDwarfProvider.java;
/shared/data/ccvs/repository/cnd/dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/BaseDwarfProvider.java,v
 <--  BaseDwarfProvider.java
new revision: 1.15; previous revision: 1.14
done
Checking in dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/DwarfProvider.java;
/shared/data/ccvs/repository/cnd/dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/provider/DwarfProvider.java,v
 <--  DwarfProvider.java
new revision: 1.10; previous revision: 1.9
done
Checking in discovery/src/org/netbeans/modules/cnd/discovery/api/DiscoveryProvider.java;
/shared/data/ccvs/repository/cnd/discovery/src/org/netbeans/modules/cnd/discovery/api/DiscoveryProvider.java,v  <-- 
DiscoveryProvider.java
new revision: 1.9; previous revision: 1.8
done
Checking in discovery/src/org/netbeans/modules/cnd/discovery/api/ProjectUtil.java;
/shared/data/ccvs/repository/cnd/discovery/src/org/netbeans/modules/cnd/discovery/api/ProjectUtil.java,v  <-- 
ProjectUtil.java
new revision: 1.7; previous revision: 1.6
done
Checking in discovery/src/org/netbeans/modules/cnd/discovery/api/ProjectProxy.java;
/shared/data/ccvs/repository/cnd/discovery/src/org/netbeans/modules/cnd/discovery/api/ProjectProxy.java,v  <-- 
ProjectProxy.java
new revision: 1.6; previous revision: 1.5
done
Checking in discovery/src/org/netbeans/modules/cnd/discovery/wizard/SelectConfigurationPanel.java;
/shared/data/ccvs/repository/cnd/discovery/src/org/netbeans/modules/cnd/discovery/wizard/SelectConfigurationPanel.java,v
 <--  SelectConfigurationPanel.java
new revision: 1.13; previous revision: 1.12
done
Checking in discovery/src/org/netbeans/modules/cnd/discovery/wizard/SelectProviderPanel.java;
/shared/data/ccvs/repository/cnd/discovery/src/org/netbeans/modules/cnd/discovery/wizard/SelectProviderPanel.java,v  <--
 SelectProviderPanel.java
new revision: 1.18; previous revision: 1.17
done
Checking in discovery/src/org/netbeans/modules/cnd/discovery/wizard/SimpleConfigurationPanel.java;
/shared/data/ccvs/repository/cnd/discovery/src/org/netbeans/modules/cnd/discovery/wizard/SimpleConfigurationPanel.java,v
 <--  SimpleConfigurationPanel.java
new revision: 1.7; previous revision: 1.6
done
Checking in discovery/src/org/netbeans/modules/cnd/discovery/wizard/SimpleConfigurationPanel.form;
/shared/data/ccvs/repository/cnd/discovery/src/org/netbeans/modules/cnd/discovery/wizard/SimpleConfigurationPanel.form,v
 <--  SimpleConfigurationPanel.form
new revision: 1.5; previous revision: 1.4
done
Checking in discovery/src/org/netbeans/modules/cnd/discovery/wizard/DiscoveryExtension.java;
/shared/data/ccvs/repository/cnd/discovery/src/org/netbeans/modules/cnd/discovery/wizard/DiscoveryExtension.java,v  <--
 DiscoveryExtension.java
new revision: 1.11; previous revision: 1.10
done
Checking in modeldiscovery/src/org/netbeans/modules/cnd/modeldiscovery/provider/AnalyzeModel.java;
/shared/data/ccvs/repository/cnd/modeldiscovery/src/org/netbeans/modules/cnd/modeldiscovery/provider/AnalyzeModel.java,v
 <--  AnalyzeModel.java
new revision: 1.12; previous revision: 1.11
done
Checking in dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/DwarfAnalyzer.java;
/shared/data/ccvs/repository/cnd/dwarfdiscovery/src/org/netbeans/modules/cnd/dwarfdiscovery/DwarfAnalyzer.java,v  <-- 
DwarfAnalyzer.java
new revision: 1.8; previous revision: 1.7
done
Checking in makeproject/src/org/netbeans/modules/cnd/makeproject/ui/wizards/ParserConfigurationPanel.java;
/shared/data/ccvs/repository/cnd/makeproject/src/org/netbeans/modules/cnd/makeproject/ui/wizards/ParserConfigurationPanel.java,v
 <--  ParserConfigurationPanel.java
new revision: 1.14; previous revision: 1.13
done
Comment 8 Alexander Simon 2009-11-12 05:54:16 UTC
Supporting of huge projects is good enough now.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo